module Pod::Vendor

    # require "rubygems/version"
    # require "rubygems/deprecate"

    # If we're being loaded after yaml was already required, then
    # load our yaml + workarounds now.
    # Gem.load_yaml if defined? ::YAML

    ##
    # A Requirement is a set of one or more version restrictions. It supports a
    # few (<tt>=, !=, >, <, >=, <=, ~></tt>) different restriction operators.
    #
    # See Gem::Version for a description on how versions and requirements work
    # together in RubyGems.

    class Gem::Requirement

        alias satisfied_by_t? satisfied_by?
        def satisfied_by? version
            if ENV['DISABLE_CONFLICT_CHECKER'] &&  (ENV['DISABLE_CONFLICT_CHECKER'].upcase == 'YES' || ENV['DISABLE_CONFLICT_CHECKER'].upcase == 'TRUE')
                raise ArgumentError, "Need a Gem::Version: #{version.inspect}" unless
                  Gem::Version === version
                # #28965: syck has a bug with unquoted '=' YAML.loading as YAML::DefaultKey


                for req in requirements
                    op = req[0]
                    rv = req[1]

                    if op == '=' && OPS["="].call(version,rv)
                        puts "DISABLE_CONFLICT_CHECKER for #{self.to_s} and #{version.to_s}" unless requirements.all? { |op, rv| (OPS[op] || OPS["="]).call version, rv }
                        return true
                    end
                end
                requirements.all? { |op, rv| (OPS[op] || OPS["="]).call version, rv }
            else
                satisfied_by_t? version
            end
        end
    end
end