module Pod

    # The resolver is responsible of generating a list of specifications grouped
    # by target for a given Podfile.
    #
    class Resolver
        alias requirement_satisfied_by_t? requirement_satisfied_by?

        def requirement_satisfied_by?(requirement, activated, spec)
            if ENV['DISABLE_CONFLICT_CHECKER'] && (ENV['DISABLE_CONFLICT_CHECKER'].upcase == 'YES' || ENV['DISABLE_CONFLICT_CHECKER'].upcase == 'TRUE')
                version = spec.version
                puts "DISABLE_CONFLICT_CHECKER【satisfied_by】 for #{requirement.requirement.to_s} and #{spec.to_s}" unless requirement.requirement.satisfied_by?(version)
                puts "DISABLE_CONFLICT_CHECKER【valid_possibility_version_for_root_name】 for #{requirement.requirement.to_s} and #{spec.to_s}" unless valid_possibility_version_for_root_name?(requirement, activated, spec)
                return false unless spec_is_platform_compatible?(activated, requirement, spec)
                true
            else
                requirement_satisfied_by_t? requirement,activated,spec
            end

        end
        
        if self.instance_methods.include?(:seer_verify_dependency_conflicts!)
            alias seer_verify_dependency_conflicts_t! seer_verify_dependency_conflicts!
            def seer_verify_dependency_conflicts!(dependency)
                if ENV['DISABLE_CONFLICT_CHECKER'] && (ENV['DISABLE_CONFLICT_CHECKER'].upcase == 'YES' || ENV['DISABLE_CONFLICT_CHECKER'].upcase == 'TRUE')
                    return
                else
                    seer_verify_dependency_conflicts_t! dependency
                end
            end
        end 

    end
end